package com.ruoyi.finance.domain.vo;

import java.io.Serializable;
import java.math.BigDecimal;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import lombok.Data;
import java.util.Date;



/**
 * 劳务费视图对象 finance_service_fee
 *
 * @author ruoyi
 * @date 2024-06-16
 */
@Data
@ExcelIgnoreUnannotated
public class FinanceServiceFeeVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 劳务费ID
     */
    @ExcelProperty(value = "劳务费ID")
    private Long serviceFeeId;

    /**
     * 姓名
     */
    @ExcelProperty(value = "姓名")
    private String name;

    /**
     * 应发金额
     */
    @ExcelProperty(value = "应发金额")
    private BigDecimal payableAmount;

    /**
     * 个人所得税
     */
    @ExcelProperty(value = "个人所得税")
    private BigDecimal tax;

    /**
     * 实发金额
     */
    @ExcelProperty(value = "实发金额")
    private Long paidAmount;

    /**
     * 身份证
     */
    @ExcelProperty(value = "身份证")
    private String cardId;

    /**
     * 开户行
     */
    @ExcelProperty(value = "开户行")
    private String bank;

    /**
     * 卡号
     */
    @ExcelProperty(value = "卡号")
    private String bankNo;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;


}
