package com.ruoyi.finance.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;

import java.math.BigDecimal;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 劳务费对象 finance_service_fee
 *
 * @author ruoyi
 * @date 2024-06-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("finance_service_fee")
public class FinanceServiceFee extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 劳务费ID
     */
    @TableId(value = "service_fee_id")
    private Long serviceFeeId;
    /**
     * 姓名
     */
    private String name;
    /**
     * 应发金额
     */
    private BigDecimal payableAmount;
    /**
     * 个人所得税
     */
    private BigDecimal tax;
    /**
     * 实发金额
     */
    private Long paidAmount;
    /**
     * 身份证
     */
    private String cardId;
    /**
     * 开户行
     */
    private String bank;
    /**
     * 卡号
     */
    private String bankNo;
    /**
     * 备注
     */
    private String remark;

}
